
#include <Spectre/Graphics/Renderable.h>

Renderable2D::Renderable2D() :
m_zorder	(0)
{
}

Renderable2D::Renderable2D(const Vector2f& position) : 
m_zorder	(0),
Transformable	(position)
{
}

Renderable2D::~Renderable2D()
{
}

unsigned char Renderable2D::getZOrder() const
{
	return m_zorder;
}

void Renderable2D::setZOrder(unsigned char value)
{
	m_zorder = value;
}